%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Plot-Programm fr Versuche Kap. 7.2: Beispiel fr eine dezentrale Regelung ;   
% Programme: Matlab: Gel1-PI_Par, Gel1_Ref_Par zur Parametervorgabe
%            Simulink: Gel1_Geschw_PI, Gel1_Geschw_Redus, gel1_lage_pi, gel1_lage_pialg, gel1_lage_Redus  
%
%  W. Weber, Januar 2002
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% Gre und Art des Fonts
   B_font=9; % fr Schriften usw.
   Schr_art='Times New Roman';
   
   % Gre des plots
   %figure('Position',[500 150 264 176]);  %1/3
   %figure('Position',[50 150 450 300]);  %1/3 % zu gro
   
   close all;
   
   % hier Reg_wahl=1 fr PI-Geschw. regler eingeben oder sonst numerisch fr Redus
   Reg_wahl=24
   
 if Reg_wahl==1
   figure('Position',[50 150 414 276]);  %1/3 % zu gro

		x1=subplot(1,1,1), plot(Zeit_SP,PI_MQuer_SP,'k-')
      hold on
      plot(Zeit_SP,PI_MMin_SP,'k:')
      hold on
      plot(Zeit_SP,PI_MMax_SP,'k-')

      set(x1,'FontName',Schr_art,'fontsize',B_font,'linewidth',1.0);
		grid on
   	xlabel('Zeit in s','FontName',Schr_art,'fontsize',B_font)
      ylabel('dq/dt in rad/s','FontName',Schr_art,'fontsize',B_font)
else
%%% Redus Plot
		figure('Position',[500 150 414 276]);  %1/3 % zu gro

		x2=subplot(1,1,1), plot(Zeit_SP,Red_M_Quer_SP,'k-')
      hold on
      plot(Zeit_SP,Red_M_Min_SP,'k:')
      hold on
      plot(Zeit_SP,Red_M_Max_SP,'k-')


      set(x2,'FontName',Schr_art,'fontsize',B_font,'linewidth',1.0);
		grid on
   	xlabel('Zeit in s','FontName',Schr_art,'fontsize',B_font)
      ylabel('dq/dt in rad/s','FontName',Schr_art,'fontsize',B_font)
      
      %%% Redus Plot
		figure('Position',[500 400 414 276]);  %1/3 % zu gro

		x_red=subplot(1,1,1), plot(Zeit_SP,Red_M_Quer_SP,'k-')
      hold on
      plot(Zeit_SP,Red_M_Min_SP,'k:')
      hold on
      plot(Zeit_SP,Red_M_Max_SP,'k-')


      set(x_red,'FontName',Schr_art,'fontsize',B_font,'linewidth',1.0);
		grid on
   	xlabel('Zeit in s','FontName',Schr_art,'fontsize',B_font)
      ylabel('dq/dt in rad/s','FontName',Schr_art,'fontsize',B_font)

end