%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Plot-Programm fr Versuche Kap. 7.25: Beispiel fr eine dezentrale Regelung ;  Hier: Lageregelung  
% Programme: Matlab: Gel1-PI_Par, Gel1_Ref_Par zur Parametervorgabe
%            Simulink: Gel1_Geschw_PI, Gel1_Geschw_Redus, gel1_lage_pi, gel1_lage_pialg, gel1_lage_Redus  
%
%  W. Weber, Januar 2002
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Gre und Art des Fonts
   B_font=9; % fr Schriften usw.
   Schr_art='Times New Roman';

figure('Position',[500 150 414 276]);  %1/3 % zu gro

		x2=subplot(1,1,1), plot(Zeit_Lage,Lage_PI_M_Min,'k:')
      hold on
      plot(Zeit_Lage,Lage_PI_M_Quer,'k:')
      hold on
      plot(Zeit_Lage,Lage_PI_M_Max,'k-')


      set(x2,'FontName',Schr_art,'fontsize',B_font,'linewidth',1.0);
		grid on
   	xlabel('Zeit in s','FontName',Schr_art,'fontsize',B_font)
      ylabel('q in rad','FontName',Schr_art,'fontsize',B_font)
      
      %%% Regelfehler Plot 
		figure('Position',[500 400 414 276]);  %1/3 % zu gro

		x_red=subplot(1,1,1), plot(Zeit_Lage,e_PI_M_Min,'k--')
      hold on
      plot(Zeit_Lage,e_PI_M_Quer,'k--')
      hold on
      plot(Zeit_Lage,e_PI_M_Max,'k-.')

      set(x_red,'FontName',Schr_art,'fontsize',B_font,'linewidth',1.0);
		grid on
   	xlabel('Zeitin s','FontName',Schr_art,'fontsize',B_font)
      ylabel('e = q_S-q in rad','FontName',Schr_art,'fontsize',B_font)

     %%% Geschw. verlauf 
		figure('Position',[20 400 414 276]);  %1/3 % zu gro

		x_g=subplot(1,1,1), plot(Zeit_Lage,Geschw_PI_M_Min,'k:')
      hold on
      %plot(Zeit_Lage,Geschw_PI_M_Quer,'k-')
      %hold on
      plot(Zeit_Lage,Geschw_PI_M_Max,'k-.')



      set(x_g,'FontName',Schr_art,'fontsize',B_font,'linewidth',1.0);
		grid on
   	xlabel('Zeit in s','FontName',Schr_art,'fontsize',B_font)
      ylabel('dq/dt in rad/s','FontName',Schr_art,'fontsize',B_font)
hold off;
